Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.communities
Class CommunityMember

    java.lang.Object
      com.bea.netuix.application.communities.CommunityMember

All Implemented Interfaces
  Serializable

    public class CommunityMember

extends Object
implements Serializable

Represents a single `CommunityMember`. This information is shared amongst all `CommunityMembership` instances, and includes information such as the `CommunityDefinitionId`, WLS username, primary email address, type and status.

The overview of community functionality contains a description of the community framework.

See Also
  Serialized Form

Constructor Summary
`CommunityMember(CommunityMember info, CommunityMemberId id)`
`CommunityMember(CommunityMemberId id, String user, boolean active)` Constructor for CommunityMember, specialized for creating internal Communities users.
`CommunityMember(CommunityMemberId id, String user, boolean active, boolean external)` Constructor for a CommunityMember

Method Summary
`boolean` | `equals(Object o)`
`CommunityMemberId` | `getId()` Gets this CommunityMember object's ID.
`String` | `getWlsUserId()` Returns the WLS username for this CommunityMember.
`int` | `hashCode()`
`boolean` | `isActive()` Determines if this user is allowed to have access to any non-public community.
`boolean` | `isExternal()` Returns the external flag for this CommunityMember.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommunityMember

    public CommunityMember(CommunityMemberId id,
                           String user,
                           boolean active,
                           boolean external)

  Constructor for a CommunityMember

  Parameters
    `id` - - the `CommunityMemberId` associated with this `CommunityMember` or null if no CommunityMemberId is yet associated.
    `user` - - the WLS username for this `CommunityMember`. This cannot be null.
    `active` - - true if the member is active (allowed to use communities), false if disabled.
    `external` - - true if the user is an "external" user-- which may be useful for tracking purposes in some situations but is not used in the framework.

### CommunityMember

    public CommunityMember(CommunityMember info,
                           CommunityMemberId id)

### CommunityMember

    public CommunityMember(CommunityMemberId id,
                           String user,
                           boolean active)

  Constructor for CommunityMember, specialized for creating internal Communities users.

  Parameters
    `id` - - the `CommunityDefinitionId` associated with this `CommunityMember` or null if no CommunityMemberId is yet associated.
    `user` - - the WLS username for this `CommunityMember`. Cannot be null.
    `active` - - true if the member is active (allowed to use communities), false if disabled.

Method Detail

### getId

    public CommunityMemberId getId()

  Gets this CommunityMember object's ID.

  Returns
    the ID of this CommunityMember object.

### getWlsUserId

    public String getWlsUserId()

  Returns the WLS username for this CommunityMember.

  Returns
    the WLS username for this `CommunityMember`. Cannot be null.

### isExternal

    public boolean isExternal()

  Returns the external flag for this CommunityMember. This flag is not used internally by the portal community framework, but may be useful to an application in tracking users added to the system as a result of community invitations.

### isActive

    public boolean isActive()

  Determines if this user is allowed to have access to any non-public community. See the description of community framework rendering for a full description.

  Returns
    `true` if the member is active, `false` if not.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved